Package org.eclipse.gef.layout.algorithms

## Interface SugiyamaLayoutAlgorithm.LayerProvider

All Known Implementing Classes:
  `SugiyamaLayoutAlgorithm.DFSLayerProvider`, `SugiyamaLayoutAlgorithm.SimpleLayerProvider`

Enclosing class:
  SugiyamaLayoutAlgorithm

    public static interface SugiyamaLayoutAlgorithm.LayerProvider

An interface for creating layers. Interface for parameterizable layering heuristics.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<java.util.List<SugiyamaLayoutAlgorithm.NodeWrapper>>` `calculateLayers​(java.util.List<org.eclipse.gef.graph.Node> nodes)` Creating layers of the nodes and makes it possible to assign layers to those nodes.

### Method Detail

#### calculateLayers

    java.util.List<java.util.List<SugiyamaLayoutAlgorithm.NodeWrapper>> calculateLayers​(java.util.List<org.eclipse.gef.graph.Node> nodes)

Creating layers of the nodes and makes it possible to assign layers to those nodes.

Parameters:
  `nodes` - List of all the nodes that needs to be organized
Returns:
  a list of layers for the given nodes, represented each as a list of `SugiyamaLayoutAlgorithm.NodeWrapper`s